# -*- coding: utf-8 -*-
"""
Created on Thu May 31 14:22:48 2018

@author: Usuario
"""

from ADoutputs import daq_AO, daq_DO

import pyqtgraph as pg
from pyqtgraph.Qt import QtGui


#This creates the window for the gui
app = QtGui.QApplication([])

win = QtGui.QMainWindow()
win.setWindowTitle('pyqtgraph example: SpinBox')
cw = QtGui.QWidget()
layout = QtGui.QGridLayout()
cw.setLayout(layout)
win.setCentralWidget(cw)
win.show()


layout397 = QtGui.QGridLayout()
layout866 = QtGui.QGridLayout()
layoutPI = QtGui.QGridLayout()

layout.addLayout(layout397, 1, 1)
layout.addLayout(layout866, 2, 1)
layout.addLayout(layoutPI, 3, 1)


piezoA397 = {'sb': pg.SpinBox(value = 0.0, bounds=[-10, 10], step = .1, siPrefix = True, suffix = 'V'), 'daq': daq_AO(0)}
piezoB397 = pg.SpinBox(value = 0.0, bounds=[-10, 10], step = .1, siPrefix = True, suffix = 'V')
shutter397 = QtGui.QCheckBox(win)

piezoA866 = pg.SpinBox(value = 0.0, bounds=[-10, 10], step = .1, siPrefix = True, suffix = 'V')
piezoB866 = pg.SpinBox(value = 0.0, bounds=[-10, 10], step = .1, siPrefix = True, suffix = 'V')
shutter866 = QtGui.QCheckBox(win)

piezoA423 = pg.SpinBox(value = 0.0, bounds=[-10, 10], step = .1, siPrefix = True, suffix = 'V')
shutter423 = QtGui.QCheckBox(win)
shutterLED = QtGui.QCheckBox(win)

######### 397 ###########
layout397.addWidget(QtGui.QLabel('397'), 0, 0)
layout397.addWidget(QtGui.QLabel('piezoA'), 1, 1), layout397.addWidget(piezoA397['sb'], 1, 2)
layout397.addWidget(QtGui.QLabel('piezoB'), 2, 1), layout397.addWidget(piezoB397, 2, 2)
layout397.addWidget(QtGui.QLabel('shutter'), 3, 1), layout397.addWidget(shutter397, 3, 2)


######### 866 ###########
layout866.addWidget(QtGui.QLabel('866'), 0, 0)
layout866.addWidget(QtGui.QLabel('piezoA'), 1, 1), layout866.addWidget(piezoA866, 1, 2)
layout866.addWidget(QtGui.QLabel('piezoB'), 2, 1), layout866.addWidget(piezoB866, 2, 2)
layout866.addWidget(QtGui.QLabel('shutter'), 3, 1), layout866.addWidget(shutter866, 3, 2)


######### PI ###########
layoutPI.addWidget(QtGui.QLabel('Photoion'), 0, 0)
layoutPI.addWidget(QtGui.QLabel('piezoA'), 1, 1), layoutPI.addWidget(piezoA423, 1, 2)
layoutPI.addWidget(QtGui.QLabel('shutter423'), 2, 1), layoutPI.addWidget(shutter423, 2, 2)
layoutPI.addWidget(QtGui.QLabel('shutterLED'), 3, 1), layoutPI.addWidget(shutterLED, 3, 2)



def whenChange(sb, daq):
    daq.set_out(sb.value())
    
    
piezoA397['sb'].sigValueChanging.connect(lambda: whenChange(piezoA397['daq']))

